io.undertow.server.handlers.resource

## Interface RangeAwareResource

All Superinterfaces:
  Resource

All Known Implementing Classes:
  CachedResource, FileResource, PathResource, URLResource

    public interface RangeAwareResource
    extends Resource

A resource implementation that

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isRangeSupported()` It is possible that some resources managers may only support range requests on a subset of their resources,
`void` `serveRange(Sender sender, HttpServerExchange exchange, long start, long end, IoCallback completionCallback)` Serve the resource, and call the provided callback when complete.

### Methods inherited from interface io.undertow.server.handlers.resource.Resource

`getCacheKey, getContentLength, getContentType, getETag, getFile, getFilePath, getLastModified, getLastModifiedString, getName, getPath, getResourceManagerRoot, getResourceManagerRootPath, getUrl, isDirectory, list, serve`

### Method Detail

#### serveRange

    void serveRange(Sender sender,
                    HttpServerExchange exchange,
                    long start,
                    long end,
                    IoCallback completionCallback)

Serve the resource, and call the provided callback when complete.

Parameters:
  `sender` - The sender to use.
  `exchange` - The exchange

#### isRangeSupported

    boolean isRangeSupported()

It is possible that some resources managers may only support range requests on a subset of their resources,

Returns:
  `true` if this resource supports range requests